package com.jxy.marketall.mapper;


import com.jxy.common.datasource.annotation.BTCNoChainDB;
import com.jxy.marketall.dto.*;
import com.jxy.marketall.vo.QueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description TODO
 * @Date 2022/8/30 17:47
 * @Author 杜懿
 */
@BTCNoChainDB
public interface BTCMapper {

    public List<PriceDataDto> getPriceList(@Param("vo") QueryVo vo);

     List<Ma730Dto> selectMa730ByTime(@Param("vo") QueryVo vo);

     List<Ma730Dto> selectMa730Day();

    /************************************btc 2.0 非链 ****************************************************/

    List<DateBigDecimalDto> getListByTableAndField(@Param("table") String table, @Param("field") String field);

    List<PiCycleTIDto> getPiCycleTIList();

    List<GoldenRatioMultiplierDto> getGoldenRatioMultiplier();
}
